import { Request, Response, RequestOptions } from "servie/dist/node";
import { IncomingMessage, ServerResponse } from "http";
/**
 * Node.js HTTP request options.
 */
export interface HttpRequestOptions extends RequestOptions {
    request: IncomingMessage;
}
/**
 * Node.js HTTP request class.
 */
export declare class HttpRequest extends Request {
    request: IncomingMessage;
    constructor(input: string | Request, options: HttpRequestOptions);
}
/**
 * HTTP server application signature.
 */
export declare type App = (req: HttpRequest, next: () => Promise<Response>) => Response | Promise<Response>;
/**
 * HTTP server options.
 */
export interface Options {
    production?: boolean;
    logError?: (err: any) => void;
}
/**
 * Create a node.js-compatible http handler.
 */
export declare function createHandler(app: App, options?: Options): (request: IncomingMessage, response: ServerResponse) => Promise<void>;
